Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## lbg.peer.config
Class PeerNetworkConfiguration

    java.lang.Object
      lbg.peer.config.PeerNetworkConfiguration

    public class PeerNetworkConfiguration

extends java.lang.Object

Author:
  Cyril Briquet

Field Summary
`java.lang.String` | `SEARCH_HOSTNAME`
`int` | `SEARCH_PORT`
`int` | `WEB_PORT`

Constructor Summary
`PeerNetworkConfiguration()`
`PeerNetworkConfiguration(java.util.Properties props)`

Method Summary
`int` | `btDataPort()`
`int` | `btTrackerPort()`
`java.lang.String` | `format(boolean log_format)` Outputs the PeerNetworkConfiguration, formatted either as a property file or as a log file.
`int` | `ftpDataPort()`
`int` | `ftpRequestPort()`
`java.lang.String` | `hostname()`
`int` | `peerPort()`
`int` | `resourcePort()`
`java.lang.String` | `toString()`
`int` | `userPort()`
`int` | `webPort()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### SEARCH_HOSTNAME

    public final java.lang.String SEARCH_HOSTNAME

### SEARCH_PORT

    public final int SEARCH_PORT

### WEB_PORT

    public final int WEB_PORT

See Also:
  Constant Field Values

Constructor Detail

### PeerNetworkConfiguration

    public PeerNetworkConfiguration(java.util.Properties props)
                             throws GridException

Throws:
  `GridException`

### PeerNetworkConfiguration

    public PeerNetworkConfiguration()
                             throws GridException

Throws:
  `GridException`

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### format

    public java.lang.String format(boolean log_format)

  Outputs the PeerNetworkConfiguration, formatted either as a property file or as a log file.

  Parameters:
    `log_format` - true to format PeerNetworkConfiguration as a log file
  Returns:
    formatted PeerNetworkConfiguration

### hostname

    public java.lang.String hostname()

  Returns:
    Peer host name, as reachable by other Peers

### peerPort

    public int peerPort()

  Returns:
    valid port for Peer-to-Peer communication

### resourcePort

    public int resourcePort()

  Returns:
    valid port for Resource-to-Peer communication

### userPort

    public int userPort()

  Returns:
    valid port for user-to-peer communication

### btTrackerPort

    public int btTrackerPort()

  Returns:
    BitTorrent tracker port

### btDataPort

    public int btDataPort()

  Returns:
    BitTorrent data port

### ftpDataPort

    public int ftpDataPort()

### ftpRequestPort

    public int ftpRequestPort()

### webPort

    public int webPort()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

> Copyright (c) 2005-2008, Cyril Briquet, parts Xavier Dalem.